%global _hardened_build 1

Name:           lfcxml
Version:        1.1.7
Release:        6%{?dist}
Summary:        Lemke Foundation Classes XML extension
License:        GPLv3+
URL:            http://www.lemke-it.com/litexec?request=publfcxml&user=&lang=en
Source0:        http://www.lemke-it.com/%{name}-%{version}.tar.gz
BuildRequires:  lfcbase-devel

%description
This C++ library provides an API for XML document handling. Similar to the 
JDOM Java interface, a XML document can be parsed, traced and generated by 
the provided methods.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       lfcbase-devel%{?_isa}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%configure --disable-static
sed -i -e 's/ -shared / -Wl,--as-needed\0/g' libtool

%build
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%check
make check

%files
%license COPYING
%{_libdir}/*.so.*

%files devel
%doc AUTHORS NEWS README
%doc samples/*.{cc,xml}
%{_includedir}/%{name}/
%{_libdir}/*.so

%changelog
* Fri Aug 28 2015 Christopher Meng <rpm@cicku.me> - 1.1.7-6
- Rebuilt for lfcbase 1.6.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.7-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Christopher Meng <rpm@cicku.me> - 1.1.7-1
- Update to 1.1.7

* Tue Jan 21 2014 Christopher Meng <rpm@cicku.me> - 1.1.6-1
- Update to 1.1.6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 Christopher Meng <rpm@cicku.me> - 1.1.4-1
- Update to 1.1.4

* Tue May 21 2013 Christopher Meng <rpm@cicku.me> - 1.1.3-2
- Fix the license problem.

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 1.1.3-1
- Update to 1.1.3

* Fri May 17 2013 Christopher Meng <rpm@cicku.me> - 1.1.2-1
- Update to 1.1.2

* Tue May 14 2013 Christopher Meng <rpm@cicku.me> - 1.1.1-1
- Update to 1.1.1

* Mon May 06 2013 Christopher Meng <rpm@cicku.me> - 1.0.27-1
- Initial Package.
